#!/bin/bash
function writeResult {
  rm -f $2
  for f in $1; do
    cat $f >> "$2"
  done
}

function combine {
  str=$1
  # Grab the files and sort numerically. Name-Scenario-NumTo-NumRobots-NumRacks
  files01="$(find . -maxdepth 1 -name Result$str-pr76-\*-03-03-04.txt  | sort -n)"
  files02="$(find . -maxdepth 1 -name Result$str-pr76-\*-03-03-08.txt  | sort -n)"  
  files03="$(find . -maxdepth 1 -name Result$str-pr76-\*-03-05-04.txt  | sort -n)"
  files04="$(find . -maxdepth 1 -name Result$str-pr76-\*-03-05-08.txt  | sort -n)"
  files05="$(find . -maxdepth 1 -name Result$str-pr76-\*-03-10-04.txt  | sort -n)"
  files06="$(find . -maxdepth 1 -name Result$str-pr76-\*-03-10-08.txt  | sort -n)"
  files07="$(find . -maxdepth 1 -name Result$str-pr76-\*-05-03-04.txt  | sort -n)"
  files08="$(find . -maxdepth 1 -name Result$str-pr76-\*-05-03-08.txt  | sort -n)"  
  files09="$(find . -maxdepth 1 -name Result$str-pr76-\*-05-05-04.txt  | sort -n)"
  files10="$(find . -maxdepth 1 -name Result$str-pr76-\*-05-05-08.txt  | sort -n)"
  files11="$(find . -maxdepth 1 -name Result$str-pr76-\*-05-10-04.txt  | sort -n)"
  files12="$(find . -maxdepth 1 -name Result$str-pr76-\*-05-10-08.txt  | sort -n)"
  files13="$(find . -maxdepth 1 -name Result$str-pr76-\*-09-03-04.txt  | sort -n)"
  files14="$(find . -maxdepth 1 -name Result$str-pr76-\*-09-03-08.txt  | sort -n)"  
  files15="$(find . -maxdepth 1 -name Result$str-pr76-\*-09-05-04.txt  | sort -n)"
  files16="$(find . -maxdepth 1 -name Result$str-pr76-\*-09-05-08.txt  | sort -n)"
  files17="$(find . -maxdepth 1 -name Result$str-pr76-\*-09-10-04.txt  | sort -n)"
  files18="$(find . -maxdepth 1 -name Result$str-pr76-\*-09-10-08.txt  | sort -n)"
  
  files19="$(find . -maxdepth 1 -name Result$str-pr152-\*-03-03-04.txt  | sort -n)"
  files20="$(find . -maxdepth 1 -name Result$str-pr152-\*-03-03-08.txt  | sort -n)"  
  files21="$(find . -maxdepth 1 -name Result$str-pr152-\*-03-05-04.txt  | sort -n)"
  files22="$(find . -maxdepth 1 -name Result$str-pr152-\*-03-05-08.txt  | sort -n)"
  files23="$(find . -maxdepth 1 -name Result$str-pr152-\*-03-10-04.txt  | sort -n)"
  files24="$(find . -maxdepth 1 -name Result$str-pr152-\*-03-10-08.txt  | sort -n)"
  files25="$(find . -maxdepth 1 -name Result$str-pr152-\*-05-03-04.txt  | sort -n)"
  files26="$(find . -maxdepth 1 -name Result$str-pr152-\*-05-03-08.txt  | sort -n)"  
  files27="$(find . -maxdepth 1 -name Result$str-pr152-\*-05-05-04.txt  | sort -n)"
  files28="$(find . -maxdepth 1 -name Result$str-pr152-\*-05-05-08.txt  | sort -n)"
  files29="$(find . -maxdepth 1 -name Result$str-pr152-\*-05-10-04.txt  | sort -n)"
  files30="$(find . -maxdepth 1 -name Result$str-pr152-\*-05-10-08.txt  | sort -n)"
  files31="$(find . -maxdepth 1 -name Result$str-pr152-\*-09-03-04.txt  | sort -n)"
  files32="$(find . -maxdepth 1 -name Result$str-pr152-\*-09-03-08.txt  | sort -n)"  
  files33="$(find . -maxdepth 1 -name Result$str-pr152-\*-09-05-04.txt  | sort -n)"
  files34="$(find . -maxdepth 1 -name Result$str-pr152-\*-09-05-08.txt  | sort -n)"
  files35="$(find . -maxdepth 1 -name Result$str-pr152-\*-09-10-04.txt  | sort -n)"
  files36="$(find . -maxdepth 1 -name Result$str-pr152-\*-09-10-08.txt  | sort -n)"
  
  files37="$(find . -maxdepth 1 -name Result$str-pr226-\*-03-03-04.txt  | sort -n)"
  files38="$(find . -maxdepth 1 -name Result$str-pr226-\*-03-03-08.txt  | sort -n)"  
  files39="$(find . -maxdepth 1 -name Result$str-pr226-\*-03-05-04.txt  | sort -n)"
  files40="$(find . -maxdepth 1 -name Result$str-pr226-\*-03-05-08.txt  | sort -n)"
  files41="$(find . -maxdepth 1 -name Result$str-pr226-\*-03-10-04.txt  | sort -n)"
  files42="$(find . -maxdepth 1 -name Result$str-pr226-\*-03-10-08.txt  | sort -n)"
  files43="$(find . -maxdepth 1 -name Result$str-pr226-\*-05-03-04.txt  | sort -n)"
  files44="$(find . -maxdepth 1 -name Result$str-pr226-\*-05-03-08.txt  | sort -n)"  
  files45="$(find . -maxdepth 1 -name Result$str-pr226-\*-05-05-04.txt  | sort -n)"
  files46="$(find . -maxdepth 1 -name Result$str-pr226-\*-05-05-08.txt  | sort -n)"
  files47="$(find . -maxdepth 1 -name Result$str-pr226-\*-05-10-04.txt  | sort -n)"
  files48="$(find . -maxdepth 1 -name Result$str-pr226-\*-05-10-08.txt  | sort -n)"
  files49="$(find . -maxdepth 1 -name Result$str-pr226-\*-09-03-04.txt  | sort -n)"
  files50="$(find . -maxdepth 1 -name Result$str-pr226-\*-09-03-08.txt  | sort -n)"  
  files51="$(find . -maxdepth 1 -name Result$str-pr226-\*-09-05-04.txt  | sort -n)"
  files52="$(find . -maxdepth 1 -name Result$str-pr226-\*-09-05-08.txt  | sort -n)"
  files53="$(find . -maxdepth 1 -name Result$str-pr226-\*-09-10-04.txt  | sort -n)"
  files54="$(find . -maxdepth 1 -name Result$str-pr226-\*-09-10-08.txt  | sort -n)"

  result01=Combined$str-pr76-03-03-04.txt
  result02=Combined$str-pr76-03-03-08.txt
  result03=Combined$str-pr76-03-05-04.txt
  result04=Combined$str-pr76-03-05-08.txt
  result05=Combined$str-pr76-03-10-04.txt
  result06=Combined$str-pr76-03-10-08.txt
  result07=Combined$str-pr76-05-03-04.txt
  result08=Combined$str-pr76-05-03-08.txt
  result09=Combined$str-pr76-05-05-04.txt
  result10=Combined$str-pr76-05-05-08.txt
  result11=Combined$str-pr76-05-10-04.txt
  result12=Combined$str-pr76-05-10-08.txt
  result13=Combined$str-pr76-09-03-04.txt
  result14=Combined$str-pr76-09-03-08.txt
  result15=Combined$str-pr76-09-05-04.txt
  result16=Combined$str-pr76-09-05-08.txt
  result17=Combined$str-pr76-09-10-04.txt
  result18=Combined$str-pr76-09-10-08.txt

  result19=Combined$str-pr152-03-03-04.txt
  result20=Combined$str-pr152-03-03-08.txt
  result21=Combined$str-pr152-03-05-04.txt
  result22=Combined$str-pr152-03-05-08.txt
  result23=Combined$str-pr152-03-10-04.txt
  result24=Combined$str-pr152-03-10-08.txt
  result25=Combined$str-pr152-05-03-04.txt
  result26=Combined$str-pr152-05-03-08.txt
  result27=Combined$str-pr152-05-05-04.txt
  result28=Combined$str-pr152-05-05-08.txt
  result29=Combined$str-pr152-05-10-04.txt
  result30=Combined$str-pr152-05-10-08.txt
  result31=Combined$str-pr152-09-03-04.txt
  result32=Combined$str-pr152-09-03-08.txt
  result33=Combined$str-pr152-09-05-04.txt
  result34=Combined$str-pr152-09-05-08.txt
  result35=Combined$str-pr152-09-10-04.txt
  result36=Combined$str-pr152-09-10-08.txt

  result37=Combined$str-pr226-03-03-04.txt
  result38=Combined$str-pr226-03-03-08.txt
  result39=Combined$str-pr226-03-05-04.txt
  result40=Combined$str-pr226-03-05-08.txt
  result41=Combined$str-pr226-03-10-04.txt
  result42=Combined$str-pr226-03-10-08.txt
  result43=Combined$str-pr226-05-03-04.txt
  result44=Combined$str-pr226-05-03-08.txt
  result45=Combined$str-pr226-05-05-04.txt
  result46=Combined$str-pr226-05-05-08.txt
  result47=Combined$str-pr226-05-10-04.txt
  result48=Combined$str-pr226-05-10-08.txt
  result49=Combined$str-pr226-09-03-04.txt
  result50=Combined$str-pr226-09-03-08.txt
  result51=Combined$str-pr226-09-05-04.txt
  result52=Combined$str-pr226-09-05-08.txt
  result53=Combined$str-pr226-09-10-04.txt
  result54=Combined$str-pr226-09-10-08.txt


  writeResult "$files01" "$result01"
  writeResult "$files02" "$result02"
  writeResult "$files03" "$result03"
  writeResult "$files04" "$result04"
  writeResult "$files05" "$result05"
  writeResult "$files06" "$result06"
  writeResult "$files07" "$result07"
  writeResult "$files08" "$result08"
  writeResult "$files09" "$result09"
  writeResult "$files10" "$result10"
  writeResult "$files11" "$result11"
  writeResult "$files12" "$result12"
  writeResult "$files13" "$result13"
  writeResult "$files14" "$result14"
  writeResult "$files15" "$result15"
  writeResult "$files16" "$result16"
  writeResult "$files17" "$result17"
  writeResult "$files18" "$result18"
  writeResult "$files19" "$result19"
  writeResult "$files20" "$result20"
  writeResult "$files21" "$result21"
  writeResult "$files22" "$result22"
  writeResult "$files23" "$result23"
  writeResult "$files24" "$result24"
  writeResult "$files25" "$result25"
  writeResult "$files26" "$result26"
  writeResult "$files27" "$result27"
  writeResult "$files28" "$result28"
  writeResult "$files29" "$result29"
  writeResult "$files30" "$result30"
  writeResult "$files31" "$result31"
  writeResult "$files32" "$result32"
  writeResult "$files33" "$result33"
  writeResult "$files34" "$result34"
  writeResult "$files35" "$result35"
  writeResult "$files36" "$result36"
  writeResult "$files37" "$result37"
  writeResult "$files38" "$result38"
  writeResult "$files39" "$result39"
  writeResult "$files40" "$result40"
  writeResult "$files41" "$result41"
  writeResult "$files42" "$result42"
  writeResult "$files43" "$result43"
  writeResult "$files44" "$result44"
  writeResult "$files45" "$result45"
  writeResult "$files46" "$result46"
  writeResult "$files47" "$result47"
  writeResult "$files48" "$result48"
  writeResult "$files49" "$result49"
  writeResult "$files50" "$result50"
  writeResult "$files51" "$result51"
  writeResult "$files52" "$result52"
  writeResult "$files53" "$result53"
  writeResult "$files54" "$result54"
}

combine 'GA'
combine 'Auction'
