#!/bin/bash
#SBATCH -p batch          # partition (this is the queue your job will be added to) 
#SBATCH -N 1              # number of nodes
#SBATCH -n 1              # number of cores
#SBATCH --time=01:00:00   # HH:MM:SS
#SBATCH --mem=2GB
#SBATCH --array=1-200,1201-1400,2401-2600,3601-3800,4801-5000,6001-6200,7201-7400,8401-8600,9601-9800

#SBATCH --mail-type=END
#SBATCH --mail-type=FAIL
#SBATCH --mail-user=nicholas.sullivan@adelaide.edu.au
module load matlab/2016b
matlab -nodisplay -r "try, runPhoenix2('$SLURM_ARRAY_TASK_ID'); catch e, exit(7), end, exit()"
