%% Nick Sullivan 2017, The University of Adelaide

function [ ] = runPhoenix( phoenix_run_id_str )
% time_start = cputime;
tic
disp('Starting (0)');

% Perform tests.
phoenix_run_id = str2num(phoenix_run_id_str);
scenario = phoenix_run_id;


disp('Running Auction');
[result, result_with_2_opt] = performAuction(scenario);
filename = sprintf('ResultAuction%03s.txt',num2str(scenario));


% disp('Running Optimal');
% [result, result_with_2_opt] = performOptimal(scenario);
% filename = sprintf('ResultOptimal%03s.txt',num2str(scenario));

% disp('Running GA');
% [result, result_with_2_opt] = performGA(scenario);
% filename = sprintf('ResultGA%03s.txt',num2str(scenario));


computation_time = toc;
disp(['Best cost: ' num2str(result)]);
disp(['2-opt best cost is: ' num2str(result_with_2_opt)]);
disp(['Computation time: ' num2str(computation_time)]);

% Write results.
% fid=fopen(filename,'w');
% fprintf(fid, [num2str(result) ' ' num2str(result_with_2_opt) ' ' num2str(computation_time) '\r\n']);
% fclose(fid);

disp(['Finished! (' num2str(computation_time) ')']);
end